PLASMAENGINEEXPLO(1)

NOMBRE
plasmaengineexplorer - Proporciona acceso directo a los motores de datos de Plasma

SINOPSIS

plasmaengineexplorer [-v, --version] [-h, --help] [--list] [--heightpíxeles] [--widthpíxeles] [-xpíxeles] [-ypíxeles] [--enginemotor de datos] [--sourcemotor de datos] [--intervalms] [--appaplicación]

plasmaengineexplorer [Opciones genéricas de KDE] [Opciones genéricas de Qt]

DESCRIPCIÓN

plasmaengineexplorer es una herramienta gráfica que permite a los desarrolladores probar motores de datos de Plasma sin escribir una miniaplicación.

Si no proporciona ninguna opción, se iniciará sin ningún motor de datos seleccionado. El motor necesario puede seleccionarse en una lista desplegable.

Solo se encontrarán los motores de datos instalados. Puede que necesite ejecutar kbuildsycoca4 para encontrar motores de datos recién instalados.

OPCIONES

-v, --version
    Muestra información sobre la versión.

-h, --help
    Muestra esta ayuda.

--list píxeles
    Muestra una lista de los motores conocidos y sus descripciones.

--height
    Establece la altura de la ventana, en píxeles.

--width píxeles
    Establece la anchura de la ventana, en píxeles.

-x píxeles
    Establece la coordenada x (horizontal) de la esquina superior izquierda de la ventana, en píxeles.

-y píxeles
    Establece la coordenada y (vertical) de la esquina superior izquierda de la ventana, en píxeles.

--engine motor de datos
    Inicia plasmaengineexplorer con el motor de datos seleccionado. motor de datos es el nombre interno del motor de datos, indicado en la clave X-KDE-PluginInfo-Name del archivo desktop.

--source motor de datos
    Solo es válida en conjunción con --engine. Solicita una fuente específica del motor de datos cuando se inicia plasmaengineexplorer.

--interval tiempo
    Fija el intervalo de actualización por omisión para las fuentes solicitadas al tiempo indicado en milisegundos. Si no se indica, la fuente se actualizará bajo demanda (para algunas fuentes será cuando haya nuevos datos disponibles).

    Si se especifica --source, será el intervalo de actualización que se usará cuando se solicite dicha fuente.

--app aplicación
    Muestra solo motores asociados con la aplicación padre; se corresponde con la entrada X-KDE-ParentApp en el archivo desktop del motor de datos.

VER TAMBIÉN

Puede consultar información más detallada en help:/plasma-desktop (introduzca esta URL en Konqueror, o ejecute khelpcenter help:/plasma-desktop).

EJEMPLOS

Carga el motor de datos de la hora, mostrando la hora local y actualizando cada segundo:

    plasmaengineexplorer --engine time --source Local --interval 1000

AUTORES

plasmaengineexplorer fue escrito por Aaron Seigo <aseigo@kde.org>.